// ConfigFile.h: interface for the ConfigFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONFIGFILE_H__37320A13_EE6C_11D1_9D9F_0060083E8062__INCLUDED_)
#define AFX_CONFIGFILE_H__37320A13_EE6C_11D1_9D9F_0060083E8062__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HashTable.h"

class ConfigFile {
private:

	StringLinkedList<char>* m_pList;
	StringListNode<char>* m_pCurrentNode;

public:
	ConfigFile();
	virtual ~ConfigFile();

	int Open (char* pszFileName);
	void Close();
	int GetNextParameter (char** ppszLhs, char** ppszRhs);
	int GetParameter (char* pszLhs, char** ppszRhs);
};

#endif // !defined(AFX_CONFIGFILE_H__37320A13_EE6C_11D1_9D9F_0060083E8062__INCLUDED_)
