// Mutex.cpp: implementation of the Mutex class.
//
//////////////////////////////////////////////////////////////////////

#include "Mutex.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Mutex::Mutex() {
	m_hMutex = ::CreateMutex (NULL, FALSE, NULL);
}

Mutex::~Mutex() {
	::CloseHandle (m_hMutex);
}

void Mutex::WaitForSingleObject() {
	::WaitForSingleObject (m_hMutex, MUTEX_WAIT_TIME);
}

void Mutex::ReleaseMutex() {
	::ReleaseMutex (m_hMutex);
}
