// TempFile.h: interface for the TempFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEMPFILE_H__9D8B6F65_AECF_11D1_9C63_0060083E8062__INCLUDED_)
#define AFX_TEMPFILE_H__9D8B6F65_AECF_11D1_9C63_0060083E8062__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Utility.h"


class TempFile {
private:

	// File handle
	filebuf* pfFile;

	// File name
	char* m_pszFileName;

public:
	TempFile();
	virtual ~TempFile();

	virtual inline void Open();
	virtual inline void Close();
	virtual inline void Write (char* pszData, int iLength);
	virtual inline void Write (char* pszData);
	virtual inline char* GetName();
	virtual inline void Delete();

};

#endif // !defined(AFX_TEMPFILE_H__9D8B6F65_AECF_11D1_9C63_0060083E8062__INCLUDED_)
