// Thread.h: interface for the Thread class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_THREAD_H__17166655_AC76_11D1_9C5F_0060083E8062__INCLUDED_)
#define AFX_THREAD_H__17166655_AC76_11D1_9C5F_0060083E8062__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Utility.h"

class Thread {
private:

	HANDLE m_hThread;
	DWORD m_dwThreadID;

public:
	Thread();
	virtual ~Thread();

	virtual inline int Start (void* pFunctionName, void* pData);
	virtual inline int Start (void* pFunctionName, void* pData, int iPriority);
	virtual inline void WaitForSingleObject();

	virtual inline void Suspend();
	virtual inline void Resume();
};

#endif // !defined(AFX_THREAD_H__17166655_AC76_11D1_9C5F_0060083E8062__INCLUDED_)
